<?php

namespace App\Core\Validator\TempProperty;

use App\Core\Repository\TempProperty\TempPropertyRepository;
use Illuminate\Contracts\Container\Container;
use Illuminate\Contracts\Translation\Translator;

use App\Core\Validator\BaseValidator;

use Exception;

class TempPropertySearchValidator extends BaseValidator
{
    private $tempPropertyRepository;

    public function __construct
    (
        TempPropertyRepository $tempPropertyRepository,
        Translator $translator,
        Container $container
    )
    {
        parent::__construct($translator, $container);
        $this->tempPropertyRepository = $tempPropertyRepository;
    }

    public function rules($params = null)
    {
        return
            [
                'name' => 'required|min:3'
            ];


    }

    public function messages()
    {
        $thisMessages = [];
        return array_merge(parent::messages() , $thisMessages);
    }


    public function validate(array $params, array $rules = [], array $messages = [], array $customAttributes = [])
    {
        return $this->make($params, $this->rules($params), $this->messages());
    }

}
